<div class="mat-elevation-z8">
  <table mat-table class="full-width-table" matSort aria-label="Elements">


    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Nome</th>
      <td mat-cell *matCellDef="let linha">{{linha.name}}</td>
    </ng-container>

      <!-- Id Column -->
      <ng-container matColumnDef="gender">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Sexo</th>
        <td mat-cell *matCellDef="let linha">{{linha.gender}}</td>
      </ng-container>

       <!-- Id Column -->
       <ng-container matColumnDef="company">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Empresa</th>
        <td mat-cell *matCellDef="let linha">{{linha.company}}</td>
      </ng-container>

       <!-- Id Column -->
       <ng-container matColumnDef="age">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Idade</th>
        <td mat-cell *matCellDef="let linha">{{linha.age}}</td>
      </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator
      [length]="dataSource?.dadosDeExemploWilliam.length"
      [pageIndex]="0"
      [pageSize]="5"
      [pageSizeOptions]="[5, 25, 50, 100, 250]">
  </mat-paginator>
</div>
